package component

import androidx.compose.material.icons.Icons
import androidx.compose.material.icons.filled.Menu
import androidx.compose.material.icons.filled.Search
import androidx.compose.material3.*
import androidx.compose.runtime.Composable
import androidx.compose.runtime.MutableState
import androidx.compose.ui.text.style.TextOverflow

@OptIn(ExperimentalMaterial3Api::class)
@Composable
fun TopBar(
    scrollBehavior: TopAppBarScrollBehavior,
    searchActive: MutableState<Boolean>
) {

    CenterAlignedTopAppBar(
        title = {
            Text(
                text = "Vegan E Numbers",
                maxLines = 1,
                overflow = TextOverflow.Ellipsis,
            )
        },
        navigationIcon = {
            IconButton(
                onClick = {/* TODO Implement Navigation Drawer */}
            ) {
                Icon(
                    imageVector = Icons.Filled.Menu,
                    contentDescription = "Navigation Menu",
                )
            }
        },
        actions = {
            IconButton(
                onClick = {
                    println("Clicked on Search")
                    searchActive.value = true
                }
            ) {
                Icon(
                    imageVector = Icons.Filled.Search,
                    contentDescription = "Search for E Number",
                )
            }
        },
        scrollBehavior = scrollBehavior,
    )
}
